package com.bytesw.bytebot.model.enums;

import java.util.HashMap;
import java.util.Map;
import java.util.NoSuchElementException;

public enum AgentStatusEnum {
    CREATE("C"), DEPLOYMENT("I");

    private final String name;

    private static final Map<String, AgentStatusEnum> map = new HashMap<>();

    static {
        for (AgentStatusEnum type : AgentStatusEnum.values()) {
            map.put(type.name, type);
        }
    }

    AgentStatusEnum(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public static AgentStatusEnum fromString(String name) {
        if (map.containsKey(name)) {
            return map.get(name);
        }
        throw new NoSuchElementException(name + " not found");
    }
}
